uptodate SAB on Raspbian: PPA

Support for the Debian/Ubuntu package, created by JCFP.
Forum rules
Help us help you:
  • Are you using the latest stable version of SABnzbd? Downloads page.
  • Tell us what system you run SABnzbd on.
  • Adhere to the forum rules.
  • Do you experience problems during downloading?
    Check your connection in Status and Interface settings window.
    Use Test Server in Config > Servers.
    We will probably ask you to do a test using only basic settings.
  • Do you experience problems during repair or unpacking?
    Enable +Debug logging in the Status and Interface settings window and share the relevant parts of the log here using [ code ] sections.
Post Reply
howardsternisbatman
Newbie
Newbie
Posts: 10
Joined: October 27th, 2012, 2:43 pm

uptodate SAB on Raspbian: PPA

Post by howardsternisbatman »

Hello,

trying to follow these instructions http://forums.sabnzbd.org/viewtopic.php?f=16&t=9844 but I fall at the first hurdle.

logged in to pi as root

[email protected] ~ $ sudo echo "deb http://ppa.launchpad.net/jcfp/ppa/ubuntu precise main" | tee -a /etc/apt/sources.list
tee: /etc/apt/sources.list: Permission denied
deb http://ppa.launchpad.net/jcfp/ppa/ubuntu precise main

Not sure what to do now.

User avatar
jcfp
Release Testers
Release Testers
Posts: 941
Joined: February 7th, 2008, 12:45 pm

Re: uptodate SAB on Raspbian: PPA

Post by jcfp »

howardsternisbatman wrote:logged in to pi as root
User "pi" != root
howardsternisbatman wrote:pi@raspberrypi ~ $ sudo echo "deb http://ppa.launchpad.net/jcfp/ppa/ubuntu precise main" | tee -a /etc/apt/sources.list
tee: /etc/apt/sources.list: Permission denied
Since you are not root, sudo is indeed needed. But it's the tee command that needs the privileges here (in order to write to /etc/apt/sources.list), not the echo command. So 'echo <...> | sudo tee <...>' or temporarily get a root shell via 'sudo -i' to execute the commands in.

User avatar
sander
Release Testers
Release Testers
Posts: 7236
Joined: January 22nd, 2008, 2:22 pm

Re: uptodate SAB on Raspbian: PPA

Post by sander »

Below what I did on my Raspbian with the Ubuntu PPA ... and it works! :)

Code: Select all

echo "deb http://ppa.launchpad.net/jcfp/ppa/ubuntu precise main" | sudo tee -a /etc/apt/sources.list
sudo apt-key adv --keyserver hkp://pool.sks-keyservers.net:11371 --recv-keys 0x98703123E0F52B2BE16D586EF13930B14BB9F05F
sudo apt-get update
sudo aptitude --with-recommends install sabnzbdplus
Output of the last command:

Code: Select all

[email protected] ~ $ sudo aptitude --with-recommends install sabnzbdplus
The following packages will be upgraded: 
  sabnzbdplus sabnzbdplus-theme-plush 
2 packages upgraded, 0 newly installed, 0 to remove and 23 not upgraded.
Need to get 1,353 kB of archives. After unpacking 686 kB will be used.
The following packages have unmet dependencies:
 sabnzbdplus-theme-classic : Depends: sabnzbdplus (= 0.6.15-1) but 0.7.4-0ubuntu1~jcfp1~precise is to be installed.
 sabnzbdplus-theme-smpl : Depends: sabnzbdplus (= 0.6.15-1) but 0.7.4-0ubuntu1~jcfp1~precise is to be installed.
The following actions will resolve these dependencies:

     Remove the following packages:                    
1)     sabnzbdplus-theme-classic                       
2)     sabnzbdplus-theme-smpl                          

     Leave the following dependencies unresolved:      
3)     sabnzbdplus recommends sabnzbdplus-theme-classic
4)     sabnzbdplus recommends sabnzbdplus-theme-smpl   


Accept this solution? [Y/n/q/?] 
The following packages will be REMOVED:
  sabnzbdplus-theme-classic{a} sabnzbdplus-theme-smpl{a} 
The following packages will be upgraded:
  sabnzbdplus sabnzbdplus-theme-plush 
2 packages upgraded, 0 newly installed, 2 to remove and 21 not upgraded.
Need to get 1,353 kB of archives. After unpacking 43.0 kB will be freed.
Do you want to continue? [Y/n/?] 
Get: 1 http://ppa.launchpad.net/jcfp/ppa/ubuntu/ precise/main sabnzbdplus all 0.7.4-0ubuntu1~jcfp1~precise [1,131 kB]
Get: 2 http://ppa.launchpad.net/jcfp/ppa/ubuntu/ precise/main sabnzbdplus-theme-plush all 0.7.4-0ubuntu1~jcfp1~precise [222 kB]
Fetched 1,353 kB in 2s (669 kB/s)                 
(Reading database ... 66014 files and directories currently installed.)
Removing sabnzbdplus-theme-classic ...
Removing sabnzbdplus-theme-smpl ...
(Reading database ... 65920 files and directories currently installed.)
Preparing to replace sabnzbdplus 0.6.15-1 (using .../sabnzbdplus_0.7.4-0ubuntu1~jcfp1~precise_all.deb) ...
[warn] SABnzbd+ binary newsgrabber: not configured, aborting. See /etc/default/sabnzbdplus ... (warning).
Unpacking replacement sabnzbdplus ...
Preparing to replace sabnzbdplus-theme-plush 0.6.15-1 (using .../sabnzbdplus-theme-plush_0.7.4-0ubuntu1~jcfp1~precise_all.deb) ...
Unpacking replacement sabnzbdplus-theme-plush ...
Processing triggers for man-db ...
Processing triggers for menu ...
Processing triggers for desktop-file-utils ...
Setting up sabnzbdplus-theme-plush (0.7.4-0ubuntu1~jcfp1~precise) ...
Setting up sabnzbdplus (0.7.4-0ubuntu1~jcfp1~precise) ...
Installing new version of config file /etc/init.d/sabnzbdplus ...
[warn] SABnzbd+ binary newsgrabber: not configured, aborting. See /etc/default/sabnzbdplus ... (warning).
Processing triggers for menu ...
                                         
Current status: 21 updates [-4].
[email protected] ~ $
... and SABnzbd is now indeed on version 0.7.4

Code: Select all

[email protected] ~ $ sabnzbdplus 
2012-10-31 21:08:37,635::INFO::[sabnzbdplus:1246] --------------------------------
2012-10-31 21:08:37,642::INFO::[sabnzbdplus:1247] sabnzbdplus-0.7.4 (rev=10b740374895704bde1c7fb99995be6e9c913d8d)
2012-10-31 21:08:37,646::INFO::[sabnzbdplus:1259] Platform = posix
2012-10-31 21:08:37,650::INFO::[sabnzbdplus:1260] Python-version = 2.7.3rc2 (default, May  6 2012, 20:02:25) 
[GCC 4.6.3]
Cool!

User avatar
sander
Release Testers
Release Testers
Posts: 7236
Joined: January 22nd, 2008, 2:22 pm

Re: uptodate SAB on Raspbian: PPA

Post by sander »

Ah, SABnzbd on Raspbian says:
1 Warnings ⋅ No UNRAR program found, unpacking RAR files is not possible
so I did this:

Code: Select all

echo "deb-src http://mirrordirector.raspbian.org/raspbian/ wheezy main contrib non-free rpi" | sudo tee -a /etc/apt/sources.list
sudo apt-get update
sudo apt-get build-dep unrar-nonfree
sudo apt-get source -b unrar-nonfree
sudo dpkg -i unrar*.deb
... and now I have unrar

@jcfp: is it at all possible for you to provide the unrar in your PPA?

User avatar
jcfp
Release Testers
Release Testers
Posts: 941
Joined: February 7th, 2008, 12:45 pm

Re: uptodate SAB on Raspbian: PPA

Post by jcfp »

sander wrote:Ah, SABnzbd on Raspbian says:
1 Warnings ⋅ No UNRAR program found, unpacking RAR files is not possible
A real shame they still don't provide an unrar deb, despite having the source package available that compiles and runs problem free.
sander wrote:@jcfp: is it at all possible for you to provide the unrar in your PPA?
Ppa builders can do armel and armhf, but I have no intention of providing unrar packages. This should really be fixed in the raspbian repository, that would make unrar available to all raspbian users with minimal effort.

User avatar
sander
Release Testers
Release Testers
Posts: 7236
Joined: January 22nd, 2008, 2:22 pm

Re: uptodate SAB on Raspbian: PPA

Post by sander »

I asked for unrar on the Raspbian, and the (indirect) respsonse is:

Code: Select all

As with unrar paml is in debian non-free which we are not currently autobuilding.

I intended to add autobuilding of non-free as part of switching to newer wanna-build but I don't know when I will get time to work on that.

howardsternisbatman
Newbie
Newbie
Posts: 10
Joined: October 27th, 2012, 2:43 pm

Re: uptodate SAB on Raspbian: PPA

Post by howardsternisbatman »

thanks chaps, sorry for the delay, I didn't have access to the pi for a few days.

I followed the help here and ended up with 0.7.5RC1. that's ok for now.

thank you again.

ocollard
Newbie
Newbie
Posts: 1
Joined: December 9th, 2014, 4:10 pm

Re: uptodate SAB on Raspbian: PPA

Post by ocollard »

Thank you sander.

I followed the help and now I have sabnzbd 0.7.20 on my PI.

Post Reply